import { php } from './host.js';

export function login() {
	location.href = php + 'app=member&act=login';
}

export function getNavigationBarTitle() {  
    let page = getCurrentPages();  
    if (page && page[0]) {  
        let view = page[0].$holder;
        if (view) {  
            // h5  
            return view.navigationBar.titleText;  
        } else {  
            // app-plus  
            try {  
                view = page.$getAppWebview();  
                if (view) {   
                    const style = view.getStyle()  
                    if (style && style.titleNView) {  
                        return style.titleNView.titleText;  
                    }  
                }  
            } catch (e) {  
                if (process.env.NODE_ENV !== 'production') {  
                    console.log('getCurrentPages is not ready')  
                }  
            }  
        }  
    }  
    return undefined;  
}