const gulp = require('gulp');
const publish = require('gulp-oss-publish');
const gulpif = require('gulp-if');
const minimist = require('minimist');
const {versionName} = require('./manifest.json');

const knownOptions = {
  string: 'env',
  default: { env: process.env.NODE_ENV || 'production' }
};
var options = minimist(process.argv.slice(2), knownOptions);

// oss配置文件
const config = {
  prefix: `dbc-shop/uni/${options.env}/${versionName}/`,
  genShortId: false,
  oss: {
    region: 'oss-cn-beijing',
    accessKeyId: 'LTAIDfwPBC9AnsRt',
    secretAccessKey: 'Z6FtUptrAk0Sl6H8vrVBGZLbBzXEpO',
    endpoint: 'http://oss-cn-beijing.aliyuncs.com',
    bucket: 'dbc-static'
  },
  headers: {
    CacheControl: 'public',
    ContentEncoding: '',
    ServerSideEncryption: 'AES256'
  }
}

// // 上传本地编译后的资源到oss

gulp.task('default', () =>
  gulp
    .src([`unpackage/dist/build/h5/**/*`, '!unpackage/dist/build/h5/index.html'], {
      base: 'unpackage/dist/build/h5',
      buffer: true
    })
    .pipe(publish(config))
);
