import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex)
const store = new Vuex.Store({
    state: {
		webviewUrl: '',
		installment: {} //采购分期存储的数据
	},
    mutations: {
		changeWebviewUrl(state, url) {
			state.webviewUrl = url;
		},
		changeInstallment(state, data) {
			state.installment = data;
		}
	},
    actions: {
		changeWebviewUrl(context, url) {
			context.commit('changeWebviewUrl', url);
		},
		changeInstallment(context, data) {
			context.commit('changeInstallment', data);
		}
	}
})
export default store